Not the answer you need?
Register and ask your own question!

OSGi Dependency Resolution Error in JBoss Fuse ESB 6.0

rahulroy99rahulroy99 Current User Role Contributor

I am facing an issue in deploying my OSGi bundle in JBoss Fuse ESB 6.0. It has commons-lang and commons-collections dependencies and it is not able to resolve them in run time. 15:00:02,081 | WARN … | edhat-024/deploy | fileinstall | 7 - org.apache.felix.file install - 3.3.11.redhat-60024 | Error while starting bundle: file:/C:/jboss-fuse-6.0.0.redhat-024/deploy/test-1.0.0 …

Answers

  • Evgeniy PatlanEvgeniy Patlan Percona Percona Staff Role

    hi @rahulroy99

    it seems you have missed some dependencies (commons-lang and commons-collections) so please try to install them.

Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.